#!/bin/sh
#
# Component: taskd
#
# Description:
#   Cleans up and removes tasks. Will call the cleanup methods of the tasks and remove them.
#
# Usage:
#    cleanupTask.sh taskfile ...
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh

[ -f "$TASKD_CONF" ] && . $TASKD_CONF

SoTaskList=""

while [ -n "$1" ] ; do
	TASKNAME="$1"
	if [ "${TASKNAME%.class}" != "${TASKNAME}" ] ; then
		CMD=`cat ${TASKNAME}`
		$TASKD_HOME/runjavacmd -c "cleanup $CMD" -p ${JAVA_SERVER_PORT}
		rm -f ${TASKNAME}
	elif [ "${TASKNAME%.so}" != "${TASKNAME}" ] ; then
		SoTaskList="$SoTaskList ${TASKNAME}"
	else
		$TASKD_HOME/runshellcmd.sh -C -f ${TASKNAME}
		rm -f ${TASKNAME}
	fi

	shift
done

if [ -n "$SoTaskList" ] ; then
	$TASKD_HOME/runsocmd -C ${SoTaskList}
	rm -f ${SoTaskList}
fi
